import request from '@/utils/request'

// 初始化 项目名称
export function getEntryNameValue() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_传递前_投产项目名称_查询数据',
      param: '是否传递=1=int'
    }
  })
}
// 机床名称
export function getToolNum() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_传递后_机床名称_根据机床查询',
      param: '是否传递=1'
    }
  })
}
// 组号
export function getNum(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_传递后_组件名称_查询数据',
      param: '机床流水号=' + num + '=int&是否传递=1=int'
    }
  })
}
// 获取表格数据
export function getTable(num, pageList, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_已投产_按组查',
      param: '组件流水号=' + num + '=int',
      Pagination: pageList + '&' + pageSize
    }
  })
}
// 投产
export function production(num, a, b, d, e, f, g, h, i, j, k, l, m, n, o, p, q, x, s, t, u, v, w) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '设备管理_可安排生产计划零件排序_制定组时间_同时传递',
      param: '组件零件基本件流水号=' + num + '=int&投产类型流水号=' + a + '=int&数据类型=' + b + '=int&投产批次=1=int&批次数量=' + d + '=string&计划开始时间=' + e + '=string&计划结束时间=' + f + '=string&工艺计划开始时间=' + g + '=string&工艺计划结束时间=' + h + '=string&定额计划开始时间=' + i + '=string&定额计划结束时间=' + j + '=string&计划编制计划开始时间=' + k + '=string&计划编制计划结束时间=' + l + '=string&机加工开始时间=' + m + '=string&机加工结束时间=' + n + '=string&单件外协时间=' + o + '=string&单件是否外协=' + p + '=int&单件是否外协分类=' + q + '=string&计划制定人员编号=' + x + '&材料流水号=' + s + '=int&是否临时件=' + t + '=int&是否难度件=' + u + '=string&是否着急=' + v + '=int&是否白图=' + w + '=int'
    }
  })
}
// 获取表2的值
export function getTable1(num, pageList, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_分批投产计划查询_查询显示',
      param: '组件零件基本件流水号=' + num + '=int',
      Pagination: pageList + '&' + pageSize
    }
  })
}
// 分批投产
export function revisionBatch(num, a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, x, s, t, u, v, w) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '设备管理_可安排生产计划零件排序_制定组时间_同时传递',
      param: '组件零件基本件流水号=' + num + '=int&投产类型流水号=' + a + '=int&数据类型=' + b + '=int&投产批次=' + c + '=int&批次数量=' + d + '=string&计划开始时间=' + e + '=string&计划结束时间=' + f + '=string&工艺计划开始时间=' + g + '=string&工艺计划结束时间=' + h + '=string&定额计划开始时间=' + i + '=string&定额计划结束时间=' + j + '=string&计划编制计划开始时间=' + k + '=string&计划编制计划结束时间=' + l + '=string&机加工开始时间=' + m + '=string&机加工结束时间=' + n + '=string&单件外协时间=' + o + '=string&单件是否外协=' + p + '=int&单件是否外协分类=' + q + '=string&计划制定人员编号=' + x + '&材料流水号=' + s + '=int&是否临时件=' + t + '=int&是否难度件=' + u + '=string&是否着急=' + v + '=int&是否白图=' + w + '=int'
    }
  })
}
// 编辑
export function editList(num, a, b, c) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_修改批次数量',
      param: '工艺计划流水号=' + num + '=int&批次数量=' + a + '=string&机加工开始时间=' + b + '=string&机加工结束时间=' + c + '=string'
    }
  })
}
// 打回档案
export function dele(num, a, b) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: 'MRP_计划订单_车间打回零件_增加数据',
      param: '组件零件基本件流水号=' + num + '=int&打回原因=' + a + '=string&打回时间=' + b + '=string'
    }
  })
}

